.loader {
    width: 2rem;
    padding: 4px;
    height: 2rem;
    border-radius: 50%;
    background: #0093c1;
    --_m: conic-gradient(#0000 10%, #000), linear-gradient(#000 0 0) content-box;
    -webkit-mask: var(--_m);
    mask: var(--_m);
    -webkit-mask-composite: source-out;
    mask-composite: subtract;
    animation: l3 1s infinite linear;
}
@keyframes l3 {
    to {
        transform: rotate(1turn);
    }
}
.loading-root-container {
    position: fixed;
    inset: 0px;
    z-index: 1100;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    background-color: rgb(255 255 255 / 0.3);
    transition-property: opacity;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 150ms;
}
.loading-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 9999px;

    --tw-drop-shadow: drop-shadow(0 20px 13px rgb(0 0 0 / 0.03))
        drop-shadow(0 8px 5px rgb(0 0 0 / 0.08));
    filter: var(--tw-blur) var(--tw-brightness) var(--tw-contrast) var(--tw-grayscale)
        var(--tw-hue-rotate) var(--tw-invert) var(--tw-saturate) var(--tw-sepia)
        var(--tw-drop-shadow);
}
.loader-text {
    font-size: 0.875rem;
    line-height: 1.5;
    font-weight: 700;
    text-align: center;
    margin-top: 0.5rem;
    color: #0c0e1f;
}

@keyframes toClear {
    from {
        opacity: 0.4;
        transform: scale(0.85);
    }
    to {
        opacity: 1;
        transform: scale(1);
    }
}
:root {
    color-scheme: only light;
}
/* Firefox */
@media (prefers-color-scheme: dark) {
    :root {
        color-scheme: light;
    }
}

/* Chrome */
@media (forced-colors: active) {
    :root {
        color-scheme: light;
    }
}
.loading-box {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.2rem;
    font-weight: bold;
    flex-direction: column;
}

.loading-box .logo {
    animation: toClear 6s cubic-bezier(0.39, 0.575, 0.565, 1) forwards;
    margin-bottom: 12px;
    width: 11rem;
    max-width: 100%;
    max-height: 2.75rem;
}

.loading-box .text {
    font-size: 0.875rem;
    margin-bottom: 1rem;
    margin-top: 0;
    text-align: center;
    line-height: 1.5;
    color: #888;
}
